/*++++++++++++++
.IDENTIFICATION decode.c
.LANGUAGE       C
.AUTHOR         Francois Ochsenbein [CDS]
.ENVIRONMENT    UCAC1 Catalogue, compressed version
.KEYWORDS       CDS Catalogue Server
.VERSION  1.0   21-Apr-2001
.COMMENTS       Reconstruct the original UCAC1 data
---------------*/

#include <ucac.h>	/* Structure definitions */

#include <stdio.h>
#include <stdlib.h>	/* Malloc   */
#include <string.h>
#include <ctype.h>

static char usage[] = "\
Usage: decode bin_file [binfile...]\n\
       Writes to stdout a full zone, e.g. z001.bin\n\
" ;

main (argc, argv) int argc; char **argv;
{
  UCACrec rec ;
  char *filename ;
    
    ucac_stop(1);	/* Asks to stop at End Of file 	   */
    for (++argv; --argc > 0; argv++) {
	filename = *argv ;
	if (ucac_fopen(*argv) < 0) continue ;
	while(ucac_read(&rec) > 0) {
	    /* printf("%08d: %s\n", rec.id, ucac66(&rec)); */
	    puts(ucac66(&rec)) ; 
	}
    }
    exit(0);
}
